import axios from 'axios';
import {WebAPI} from '../../services/tentantCloudApi'

export class Test {

  static inject = [WebAPI];

  constructor(api) {
    this.api = api;
    this.gridData = [];

  }

  async created() {
    const mydata = [
      {
        "id": 137289,
        "type": 1,
        "name": "Snyder",
        "year": 1959,
        "currency": "USD",
        "mls": null,
        "property_status": 2,
        "address1": "402 Snyder Drive",
        "county": null,
        "city": "Maggie",
        "state": "FL",
        "zip": "32922",
        "country": "US",
        "description": "",
        "options_features": [],
        "is_automatic_invoicing": false,
        "invoicing_due_day": null,
        "owner_notes": null,
        "is_assign_owners": false,
        "is_active_board": 0,
        "is_allow_tenant_publish": 0,
        "archived_at": null,
        "created_at": "2018-11-12 08:08:20",
        "units_count": 1,
        "fullAddress": "402 Snyder Drive, Maggie, FL, 32922, US",
        "cityAddress": "Maggie, FL, 32922, US",
        "user": {
          "id": 116940,
          "master_id": null,
          "subdomain": "elebash",
          "domain": "",
          "role": "admin",
          "mode": 1,
          "firstName": "Magdalena",
          "lastName": "Karas",
          "email": "danelebash@hotmail.com",
          "website": null,
          "address1": "3272 Echo Ridge Place",
          "address2": "",
          "city": "Cocoa",
          "state": "FL",
          "zip": "32926",
          "country": "US",
          "isCompany": false,
          "company": "Magdalena Karas",
          "fax": "",
          "phone": "13212663635",
          "office_phone": null,
          "time_zone": "America/New_York",
          "currency": "USD",
          "lang": "en",
          "measurement": "feet",
          "viewDate": "2018-12-02 15:43:42",
          "notified_delete_account_at": null,
          "dashboard_conf": [
            {
              "x": "0",
              "y": "0",
              "id": 2,
              "drag": true,
              "name": "widget-quick-buttons",
              "show": true,
              "title": "Quick buttons",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": true
            },
            {
              "x": "4",
              "y": "0",
              "id": 5,
              "drag": true,
              "name": "widget-units",
              "show": true,
              "title": "Vacant vs Occupied",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": false
            },
            {
              "x": "0",
              "y": "5",
              "id": 6,
              "drag": true,
              "name": "widget-leases",
              "show": true,
              "title": "Lease Expiration",
              "width": "4",
              "height": "1",
              "filters": {
                "days": "30_days"
              },
              "disabled": false
            },
            {
              "x": "0",
              "y": "1",
              "id": 10,
              "drag": true,
              "name": "widget-listings",
              "show": true,
              "title": "Listings",
              "width": "8",
              "height": "1",
              "filters": {
                "on_website": 0
              },
              "disabled": false
            },
            {
              "x": "8",
              "y": "1",
              "id": 4,
              "drag": true,
              "name": "widget-common-payments-outstanding",
              "show": true,
              "title": "Outstanding / Last 30 days payments",
              "width": "4",
              "height": "1",
              "filters": {
                "days": "all_days"
              },
              "disabled": false
            },
            {
              "x": "0",
              "y": "2",
              "id": 8,
              "drag": true,
              "name": "widget-financials",
              "show": true,
              "title": "Financials",
              "width": "8",
              "height": "1",
              "filters": [],
              "disabled": false
            },
            {
              "x": "8",
              "y": "2",
              "id": 1,
              "drag": true,
              "name": "widget-to-do-list",
              "show": true,
              "title": "To do",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": true
            },
            {
              "x": "0",
              "y": "3",
              "id": 7,
              "drag": true,
              "name": "widget-work-orders",
              "show": true,
              "title": "Maintenance",
              "width": "4",
              "height": "1",
              "filters": {
                "tab": 0
              },
              "disabled": false
            },
            {
              "x": "4",
              "y": "3",
              "id": 9,
              "drag": true,
              "name": "widget-rental-applications",
              "show": true,
              "title": "Rental Applications",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": false
            },
            {
              "x": "8",
              "y": "3",
              "id": 3,
              "drag": true,
              "name": "widget-calendar",
              "show": true,
              "title": "Calendar",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": true
            },
            {
              "x": "0",
              "y": "4",
              "id": 11,
              "drag": true,
              "name": "widget-contacts",
              "show": true,
              "title": "Contacts",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": false
            },
            {
              "x": "4",
              "y": "4",
              "id": 12,
              "drag": true,
              "name": "widget-messenger",
              "show": true,
              "title": "TC Messenger",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": false
            },
            {
              "x": "8",
              "y": "4",
              "id": 13,
              "drag": true,
              "name": "widget-tenant-match",
              "show": true,
              "title": "TenantMatch",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": false
            },
            {
              "x": "8",
              "y": "0",
              "id": 14,
              "drag": true,
              "name": "widget-tips-tricks",
              "show": true,
              "title": "TenantCloud Tips&Tricks",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": false
            },
            {
              "x": "4",
              "y": "5",
              "id": 15,
              "drag": true,
              "name": "widget-task-easy",
              "show": true,
              "title": "Task Easy",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": false
            },
            {
              "x": 0,
              "y": 6,
              "id": 16,
              "drag": true,
              "name": "widget-legal-nature",
              "show": true,
              "title": "Legal Nature",
              "width": 4,
              "height": 1,
              "filters": [],
              "disabled": false
            },
            {
              "x": 0,
              "y": 7,
              "id": 17,
              "drag": true,
              "name": "widget-tcpayments",
              "show": false,
              "title": "TCPayments",
              "width": 4,
              "height": 1,
              "filters": [],
              "disabled": false
            },
            {
              "x": "8",
              "y": "5",
              "id": 18,
              "drag": true,
              "name": "widget-file-manager",
              "show": true,
              "title": "File Manager",
              "width": "4",
              "height": "1",
              "filters": [],
              "disabled": false
            }
          ],
          "email_scheduler": [],
          "isConfirmed": true,
          "is_suspended": 0,
          "is_domain_confirmed": false,
          "show_complete": true,
          "reason": null,
          "stripe_id": "cus_DyDOc4Rv5WMRC3",
          "card_brand": "American Express",
          "card_last_four": "3005",
          "date_format": 2,
          "time_format": 2,
          "age_range": 4,
          "fraud_status": null,
          "is_vip": false,
          "is_daylight_saving": false,
          "remember_expires_at": "2018-12-19 09:12:10",
          "suspended_at": null,
          "created_at": "2018-11-11 22:13:30",
          "updated_at": "2018-12-02 15:43:42",
          "deleted_at": null,
          "name": "Magdalena Karas",
          "hasPassword": "1",
          "fullAddress": "3272 Echo Ridge Place, Cocoa, FL, 32926, US",
          "cityAddress": "Cocoa, FL, 32926, US",
          "date_format_to_string": "mm/dd/yyyy",
          "time_format_to_string": "h:mm A",
          "show_welcome_page": false
        },
        "avatar": {
          "id": 1056562,
          "type": 14,
          "name": "Annotation 2018-11-16 201120.jpg",
          "token": "qkqahbw0iglo02p2",
          "size": 89116,
          "ext": "jpg",
          "is_image": true,
          "cropArea": null,
          "position": 0,
          "created_at": "2018-11-17 01:19:55",
          "base_name": "Annotation 2018-11-16 201120",
          "file_url": "https://tenantcloud.s3.us-west-2.amazonaws.com/assets/buildingava/q/k/q/qkqahbw0iglo02p2/original.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAICSLFQHCDZPODAZA%2F20181202%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20181202T154958Z&X-Amz-SignedHeaders=host&X-Amz-Expires=7200&X-Amz-Signature=f7b0a73c98405d42e339bd6ed443d86bc25cdc365bf9c558c38ca904c26af610",
          "sizes": {
            "tiny": {
              "url": "https://tenantcloud.s3.us-west-2.amazonaws.com/assets/buildingava/q/k/q/qkqahbw0iglo02p2/tiny.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAICSLFQHCDZPODAZA%2F20181202%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20181202T154958Z&X-Amz-SignedHeaders=host&X-Amz-Expires=7200&X-Amz-Signature=9edf9f3d10f1f3e1c9e11f36fc7ff3879aa86825dee2187117f5fd1fb6a3010a",
              "height": 90,
              "width": 90
            },
            "preview": {
              "url": "https://tenantcloud.s3.us-west-2.amazonaws.com/assets/buildingava/q/k/q/qkqahbw0iglo02p2/preview.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAICSLFQHCDZPODAZA%2F20181202%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20181202T154958Z&X-Amz-SignedHeaders=host&X-Amz-Expires=7200&X-Amz-Signature=dbc266bcd92ba8d9774a55d99cf67d6abd82f30930e6b2aeccd61caf91d39fa2",
              "height": 480,
              "width": 480
            },
            "220x220": {
              "url": "https://tenantcloud.s3.us-west-2.amazonaws.com/assets/buildingava/q/k/q/qkqahbw0iglo02p2/220x220.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAICSLFQHCDZPODAZA%2F20181202%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20181202T154958Z&X-Amz-SignedHeaders=host&X-Amz-Expires=7200&X-Amz-Signature=acaecfe6b2b49934ea254313dbeefffade5ad2355a28b681ee54cfb096aafb80",
              "height": 220,
              "width": 220
            },
            "crop": {
              "url": "https://tenantcloud.s3.us-west-2.amazonaws.com/assets/buildingava/q/k/q/qkqahbw0iglo02p2/crop.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAICSLFQHCDZPODAZA%2F20181202%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20181202T154958Z&X-Amz-SignedHeaders=host&X-Amz-Expires=7200&X-Amz-Signature=56a577bf7384ec50ac5d25d9db118ea467e0003c8f4c1a68c886f3de1cb79470",
              "height": 366,
              "width": 687
            },
            "fullsize": {
              "url": "https://tenantcloud.s3.us-west-2.amazonaws.com/assets/buildingava/q/k/q/qkqahbw0iglo02p2/fullsize.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAICSLFQHCDZPODAZA%2F20181202%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20181202T154958Z&X-Amz-SignedHeaders=host&X-Amz-Expires=7200&X-Amz-Signature=71524f9549ad28f0f99062f78cf95271845b310ed0f32e3fc3756254bde70000",
              "height": 366,
              "width": 687
            },
            "960x960": {
              "url": "https://tenantcloud.s3.us-west-2.amazonaws.com/assets/buildingava/q/k/q/qkqahbw0iglo02p2/960x960.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAICSLFQHCDZPODAZA%2F20181202%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20181202T154958Z&X-Amz-SignedHeaders=host&X-Amz-Expires=7200&X-Amz-Signature=af82ac2305064c6e68776c9333376b6fa8c8d7d1ff6e48b4105f223b3c4268e4",
              "height": 366,
              "width": 687
            },
            "original": {
              "width": 687,
              "height": 366,
              "url": "https://tenantcloud.s3.us-west-2.amazonaws.com/assets/buildingava/q/k/q/qkqahbw0iglo02p2/original.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAICSLFQHCDZPODAZA%2F20181202%2Fus-west-2%2Fs3%2Faws4_request&X-Amz-Date=20181202T154958Z&X-Amz-SignedHeaders=host&X-Amz-Expires=7200&X-Amz-Signature=f7b0a73c98405d42e339bd6ed443d86bc25cdc365bf9c558c38ca904c26af610"
            }
          }
        },
        "units": [
          {
            "id": 266677,
            "user_id": 116940,
            "property_id": 137289,
            "agent_id": null,
            "type": 4,
            "name": "1",
            "size": "1200.00",
            "size_old": null,
            "bedrooms": 2,
            "bathrooms": 3,
            "price": 1800,
            "deposit": 1800,
            "mls": null,
            "description": null,
            "is_rented": false,
            "is_utilities": false,
            "options_features": [
              2,
              12,
              15,
              33,
              21,
              7,
              18,
              26,
              5,
              1,
              3,
              30,
              10,
              23,
              34
            ],
            "options_utilities": null,
            "options_pets": null,
            "pets_allowed": false,
            "pets_policy": null,
            "pets_deposit": null,
            "pets_fee": null,
            "garage": 2,
            "laundry": 1,
            "is_smoking": false,
            "is_furnished": false,
            "fee": null,
            "deleted_at": null,
            "created_at": "2018-11-12 08:08:20",
            "updated_at": "2018-11-23 13:01:18",
            "options_utilities_to_string": ""
          }
        ],
        "vacant_units": [
          {
            "id": 266677,
            "user_id": 116940,
            "property_id": 137289,
            "agent_id": null,
            "type": 4,
            "name": "1",
            "size": "1200.00",
            "size_old": null,
            "bedrooms": 2,
            "bathrooms": 3,
            "price": 1800,
            "deposit": 1800,
            "mls": null,
            "description": null,
            "is_rented": false,
            "is_utilities": false,
            "options_features": [
              2,
              12,
              15,
              33,
              21,
              7,
              18,
              26,
              5,
              1,
              3,
              30,
              10,
              23,
              34
            ],
            "options_utilities": null,
            "options_pets": null,
            "pets_allowed": false,
            "pets_policy": null,
            "pets_deposit": null,
            "pets_fee": null,
            "garage": 2,
            "laundry": 1,
            "is_smoking": false,
            "is_furnished": false,
            "fee": null,
            "deleted_at": null,
            "created_at": "2018-11-12 08:08:20",
            "updated_at": "2018-11-23 13:01:18",
            "options_utilities_to_string": ""
          }
        ],
        "occupied_units": [],
        "buy_rent_range_report": true,
        "balance": {
          "total": 0
        }
      }
    ];

    //Works
    this.gridData = mydata
    this.cols = ["id"];
    console.log(this.gridData)


    ////Does not work using api call
	
 /*   this.gridData = await this.api.getList();
    this.cols = ["id"];
    console.log(this.gridData)*/
  }

}
